Capture Order

This endpoint is requested to perform a full or partial capture of the order, confirming the fulfillment or shipment of the items to the customer. The order status value will be fully_captured or partially_captured based on the total amount value sent in the request.

Body Params
uuid
required
Defaults to 8fe4cce9-d0aa-4020-a863-c708547795e9

Unique Tamara order_id, obtained from the response of create checkout/in-store checkout session endpoint.

total_amount
object
required

Total amount to be captured out of the original order total.

shipping_info
object
required
items
array of objects
Defaults to [object Object]
items
string
required
≤ 255

Product name. <=255 characters.

number
required

The quantity being fulfilled for this specific item.

string
required

The unique id of the item from merchant's side

string
required
≤ 128

Product SKU. <= 128 characters

uri
≤ 1024

URL of the item from merchant's website. <= 1024 characters

uri
≤ 1024

URL to an image of the product that can be later displayed to the customer. <= 1024 characters
Size = 2-3 MB maximum
Resolution WxH = 1024xY (the Y height of image should be small).

unit_price
object
tax_amount
object
discount_amount
object
total_amount
object
required
string
required
discount_amount
object
shipping_amount
object

Total amount for the shipping of the order.

tax_amount
object

Total amount of taxes, if additionally applied.

Response

Language
Credentials
Bearer
URL
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json